#
# spec file for package python-pytest-sugar
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-sugar
Version:        1.0.0
Release:        1.6
Summary:        Pretty printer for pytest progress
License:        BSD-3-Clause
URL:            https://github.com/Frozenball/pytest-sugar
Source:         https://files.pythonhosted.org/packages/source/p/pytest-sugar/pytest-sugar-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module termcolor}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest
Requires:       python-termcolor
BuildArch:      noarch
%python_subpackages

%description
pytest-sugar is a plugin for py.test that shows failures and errors instantly and shows a progress bar.

%prep
%setup -q -n pytest-sugar-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.md
%pycache_only %{python_sitelib}/__pycache__/*.pyc
%{python_sitelib}/pytest_sugar.py
%{python_sitelib}/pytest_sugar-%{version}.dist-info

%changelog
* Thu Feb  1 2024 Dirk Müller <dmueller@suse.com>
- update to 1.0.0:
  * Add support for pytest 8.x
  * Drop support for Python 3.7
* Thu Jul 27 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu May  4 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9.7:
  * For long-running tests, display minutes and not only seconds
  * Add support for Pytest’s ``--header`` option (thanks @wiresv)
* Wed Nov 30 2022 Daniel Garcia <daniel.garcia@suse.com>
- Remove python_module macro definition
- More specific python_sitelib in %%files
- Update to 0.9.6:
  * Remove py.std calls (thanks @alexcjohnson)
- 0.9.5:
  * Fix distutils deprecation warning (thanks @tgagor)
  * Fix incompatibility with pytest-timeout (thanks @graingert)
  * Update pytest naming convention in documentation (thanks @avallbona)
* Thu Nov  5 2020 Marketa Machova <mmachova@suse.com>
- update to 0.9.4
  * Fix pytest-sugar 0.9.3 incompatible with pytest 5.4 (thanks @nicoddemus)
  * Fix Tests fail with pytest 3.5.0 DOCTESTS (^)
  * Fix Tests fail with pytest 5.x (^)
* Mon Apr 27 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.3:
  * Fix incompatibility with pytest 5.4.0 (thanks @GuillaumeFavelier)
- Drop patch pytest4.patch
* Wed Jul 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Skip failing pytest5 checks that need tweaking upstream
* Tue Feb 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.2:
  * Fix incompatibility with pytest 3.10 (thanks @Natim)
  * Double colons for verbose output (thanks @albertodonato)
  * Fix "Wrong count with items modified in pytest_collection_modifyitems" (thanks @blueyed)
  * Defer registration of xdist hook (thanks @blueyed)
- Add patch from upstream to fix build with pytest 4.2+:
  * pytest4.patch
* Sun Feb 18 2018 mimi.vx@gmail.com
- update to 0.9.1
  + Fix incompatibility with pytest 3.4
* Fri Nov 17 2017 jengelh@inai.de
- Fix package name repetition in summary.
* Wed Nov 15 2017 mimi.vx@gmail.com
- initial package
